Steam - OpenGL 3.2 required

Questions about Wine on macOS.
Post Reply
jbcr
Newbie
Newbie
Posts: 1
Joined: Mon May 22, 2017 12:07 pm

Steam - OpenGL 3.2 required

Post by jbcr » Mon May 22, 2017 12:18 pm

Hello fellas,

so first off, I am a total noob when it comes to wine, which is why I am asking for help in the forums. I googled my error message and found things one could maybe tweak around, but I just don't get along with any solution.. a lot of solutions are based on some console commands, but I don't even know how to open the console or what to type in there.

So back to my problem. I just downloaded wine today because I wanted to play a steam game called "Dead Cells" (great game btw). I launched some other steam games i already bought to see they'd work, and they did. So i bought Dead Cells.. When i tried starting it, some error message came up that says: "The application was unable to create an OpenGL context for your X11 Windows system video card.Open GL 3.2+ is required, please update your driver."

I am really desperate, since I tried solving this for a couple of hours now.. so I'm hoping someone will be able to help me out here :/ and please keep in mind, you would probably need to give me a step by step guide, which even a 7 yr old could understand.

Thanks in advance, I really appreciate any input.

KR,
Jannik

monochrome
Newbie
Newbie
Posts: 1
Joined: Sun May 28, 2017 12:39 am

Re: Steam - OpenGL 3.2 required

Post by monochrome » Sun May 28, 2017 12:40 am

I am also having this issue.

Bump

jaywalterweatherman
Level 1
Level 1
Posts: 9
Joined: Tue Jul 18, 2017 10:36 pm

Re: Steam - OpenGL 3.2 required

Post by jaywalterweatherman » Tue Jul 18, 2017 10:38 pm

I can't get this to work, either, and so I think the problem may be with Wine & Dead Cells, rather than your (our) computer(s).

jaywalterweatherman
Level 1
Level 1
Posts: 9
Joined: Tue Jul 18, 2017 10:36 pm

Re: Steam - OpenGL 3.2 required

Post by jaywalterweatherman » Tue Jul 18, 2017 11:54 pm

After doing some digging:

"We DO NOT CURRENTLY SUPPORT INTEL HD NATIVELY. Sorry for the caps, but this is a warning for anyone running with a HD only card.

We will eventually work on supporting DirectX, which should help us in supporting some of the more recent Intel HD cards, however, this will be a medium to long term fix. So if you're running on Intel HD, hold off for now, we'll let you know once we've fixed it."

I'm wondering if this is our problem - i.e. not that we're on macOS and running Wine, but that I'm using Intel Iris Graphics 6100, which I'm finding elsewhere described as "technically identical to the HD Graphics 6000" - so we may just be out of luck until they add DirectX support to Dead Cells.

I have no idea what I'm talking about, and am trying to parse things I don't understand, so if anyone cares to correct me, that would be welcome. :)

Chrystoph
Level 1
Level 1
Posts: 6
Joined: Wed Aug 09, 2017 5:48 pm

Re: Steam - OpenGL 3.2 required

Post by Chrystoph » Wed Aug 16, 2017 5:13 am

I am have the same issue.

Running Wine Stagging 2.14 on macOS.

Code: Select all

err:winediag:wined3d_adapter_init GL_ARB_compatibility not supported, requesting context with GL version 3.2.
err:d3d:wined3d_check_gl_call >>>>>>> GL_INVALID_ENUM (0x500) from extension detection @ ../../../wine/dlls/wined3d/directx.c / 4254.
Now I have 2 Video Cards.

The intel Iris Pro but also the NVIDIA GeForce GT 750M.

I have it changed to only use the 750M but I am still getting the issue mentioned.

Any extra help would be awesome.

Thanks,

-Chrystoph

jaywalterweatherman
Level 1
Level 1
Posts: 9
Joined: Tue Jul 18, 2017 10:36 pm

Re: Steam - OpenGL 3.2 required

Post by jaywalterweatherman » Sat Oct 14, 2017 11:31 am

Good news, folks. This is getting closer to working - I was checking the Steam Community page and saw that the beta version is running on DirectX. I opted into the beta (rightclick on the app in your steam library), and now it boots ... and then immediately crashes. But I think we're getting closer to a mac-wineable version of Dead Cells. I'll keep an eye on it.

jaywalterweatherman
Level 1
Level 1
Posts: 9
Joined: Tue Jul 18, 2017 10:36 pm

Re: Steam - OpenGL 3.2 required

Post by jaywalterweatherman » Thu Nov 02, 2017 6:03 pm

I'm getting this on launch now; can't tell if this is a Wine issue or a Dead Cells issue (anyone?):

Image

(Can't copy and paste from Wine into macos-land, apparently, hence the screenshot).

jaywalterweatherman
Level 1
Level 1
Posts: 9
Joined: Tue Jul 18, 2017 10:36 pm

Re: Steam - OpenGL 3.2 required

Post by jaywalterweatherman » Mon Dec 11, 2017 11:19 pm

The Dead Cells beta now works with Wine 3! I can't get Steam to recognize my controller, though...

Post Reply